<solidify-base-action-dialog [titleToTranslate]="'deposit.aip.modal.title.main' | translate">
  <div class="search-wrapper">
    <solidify-search-input [appearance]="appearanceInputMaterial"
                           [labelToTranslate]="labelTranslateEnum.search"
                           [placeholder]="labelTranslateEnum.nameLabel | translate"
                           [searchAutoFocus]="false"
                           [value]="searchObs | async"
                           (valueChange)="searchTextChange($event)"
                           class="search-bar"
    >
    </solidify-search-input>

    <mat-slide-toggle *ngIf="getFormControl(formDefinition.searchModeIsQuery) as fd"
                      [checked]="searchModeIsQueryObs | async"
                      [formControl]="fd"
                      color="primary"
    ><span class="toggle-label"
           solidifyTooltipOnEllipsis
    >{{labelTranslateEnum.queryMode | translate}}</span></mat-slide-toggle>
  </div>

  <div class="selected-archive">
    <mat-label class="label">{{labelTranslateEnum.archivesSelected | translate}}</mat-label>
    <mat-chip-listbox *ngIf="selectedArchives.length > 0; else noSelection">
      <mat-chip-option *ngFor="let archive of selectedArchives; let i = index"
                       (removed)="removeArchive(i)"
      >
        {{archive.title}}
        <solidify-icon [iconName]="iconNameEnum.closeChip"
                       matChipRemove
        ></solidify-icon>
      </mat-chip-option>
    </mat-chip-listbox>
    <ng-template #noSelection>
      <span class="no-selection">{{labelTranslateEnum.noSelection | translate}}</span>
    </ng-template>
  </div>

  <solidify-data-table #dataTablePresentational
                       (queryParametersChange)="onQueryParametersEvent($event)"
                       [isClickable]="true"
                       [listHighlightingId]="selectedArchivesIds"
                       [columns]="columns"
                       [data]="listArchiveObs | async"
                       [isDraggable]="false"
                       [isLoading]="isLoadingObs | async"
                       [isMultiSelectable]="false"
                       (selectChange)="selectionChange($event)"
                       [preloadRowsForPage]="true"
                       [queryParameters]="queryParametersObs | async"
                       [displaySpinnerWhenLoading]="true"
                       [skipInitialQuery]="true"
                       [displayActionCopyIdToClipboard]="true"
  >
  </solidify-data-table>

  <div class="footer"
       mat-dialog-actions
  >
    <button [mat-dialog-close]=""
            [solidifyAutoFocus]="true"
            mat-button
            color="primary"
    >{{labelTranslateEnum.close | translate}}
    </button>
    <button (click)="onSubmit()"
            [disabled]="!form.valid || selectedArchives.length === 0"
            color="primary"
            mat-flat-button
    >{{labelTranslateEnum.confirm | translate}}
    </button>
  </div>
</solidify-base-action-dialog>


